saveObject.BigBang {galgo} | R Documentation

## Saves the BigBang object into a file in a suitable format

### Description

Saves the BigBang object into a file in a suitable format.

### Usage

    ## S3 method for class 'BigBang'
    saveObject(.bbO, file=.bbO$saveFile, mode=.bbO$saveMode, ...)

### Arguments

`file` | The file name where the data will be saved. The default is taking the `$saveFile` variable form the `BigBang` object.

`saveMode`

Character vector specifying the saving mode. The default is taking the `$saveMode` variable from the `BigBang` object. Any combinations of the two options `compress` and `unObject`. It can be character vector length 1 or larger. For example, `saveMode=="compress+unObject"` would call `unObject` and save the file using `compress=TRUE`. The vector `c("object","compress")` (or shorter `c("compress")`) would save the `BigBang` object and compressed. It is not recommended to save the crude object because the functions varibles are stuck to environments and R will try to save those environments together, the result can be a waste of disk space and saving time. We strongly recommend `saveMode="unObject+compress"`.

### Value

Returns nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:
       cr <- Chromosome(genes=newCollection(Gene(shape1=1, shape2=100),5))
       ni <- Niche(chromosomes=newRandomCollection(cr, 10))
       wo <- World(niches=newRandomCollection(ni,2))
       ga <- Galgo(populations=newRandomCollection(wo,1), goalFitness = 0.75,
                   callBackFunc=plot,
                   fitnessFunc=function(chr, parent) 5/sd(as.numeric(chr)))

       #evolve(ga) ## not needed here

       bb <- BigBang(galgo=ga, maxSolutions=10, maxBigBangs=10, saveGeneBreaks=1:100)
       blast(bb, 1)
       saveObject(bb, file="bb.Rdata", mode="unObject+compress")

    ## End(Not run)

[Package galgo version 1.4 Index]